### Method

# Gtk Widget get_color

since: 4.10

#### Declaration [src]

    void
    gtk_widget_get_color (
      GtkWidget* widget,
      GdkRGBA* color
    )

#### Description [src]

Gets the current foreground color for the widget’s style.

This function should only be used in snapshot implementations that need to do custom drawing with the foreground color.

Available since: 4.10

#### Parameters

`color`

  Type: `GdkRGBA`

  Return location for the color.

  The argument will be set by the function.
  The returned data is owned by the instance.